<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <file filelist='dhclient' name='/etc/dhcp/dhclient.conf'/>
        <!-- filelist créée dans 10_era.xml et gérée si era est installé-->
        <file filelist='era_not_installed' name='/usr/share/eole/bastion/data/10-chain_static_rules' mode='0755'/>
        <file filelist='era_not_installed' name='/usr/share/eole/bastion/data/40-icmp_static_rules' mode='0755'/>
        <file filelist='era_not_installed' name='/usr/share/eole/bastion/data/50-nat_rules' mode='0755'/>
        <file filelist='era_not_installed' name='/usr/share/eole/bastion/data/99-end_static_rules' mode='0755'/>
        <file filelist='era_not_installed' name='/etc/eole/hosts.allow'/>
        <file filelist='active_bonding' name='/etc/modprobe.d/bonding.conf' rm='True'/>
        <file name='/etc/hosts.deny'/>
        <file name='/usr/sbin/ouvre.firewall' mode='755'/>
        <file name='/usr/lib/eole/forteresse.sh'/>
        <file name='/usr/lib/eole/set_linkspeed' mode='755'/>
        <file name='/var/lib/eole/config/persistent-net.cfg'/>
        <service_access service='sshd'>
            <port>22</port>
            <tcpwrapper>sshd</tcpwrapper>
        </service_access>
        <service_restriction service='sshd'>
            <ip interface='eth0' netmask='netmask_ssh_eth0' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth0</ip>
            <ip interface='eth1' netmask='netmask_ssh_eth1' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth1</ip>
            <ip interface='eth2' netmask='netmask_ssh_eth2' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth2</ip>
            <ip interface='eth3' netmask='netmask_ssh_eth3' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth3</ip>
            <ip interface='eth4' netmask='netmask_ssh_eth4' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth4</ip>
        </service_restriction>
        <service_access service='genconfig'>
            <port>7000</port>
        </service_access>
        <service_restriction service='genconfig'>
            <ip interface='eth0' netmask='netmask_ssh_eth0' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth0</ip>
            <ip interface='eth1' netmask='netmask_ssh_eth1' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth1</ip>
            <ip interface='eth2' netmask='netmask_ssh_eth2' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth2</ip>
            <ip interface='eth3' netmask='netmask_ssh_eth3' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth3</ip>
            <ip interface='eth4' netmask='netmask_ssh_eth4' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth4</ip>
        </service_restriction>
    </files>


    <variables>

        <!-- Cross interfaces variables -->
        <family name='Interface-0' icon='sitemap'>

            <variable name='test_dhclient_is_active' type='oui/non' hidden='True' description='Au moins une interface est en DHCP' />
            <variable name='bonding_is_active' type='oui/non' hidden='True' description='Au moins une interface est de type bonding' />

        </family>

    </variables>


    <constraints>

        <!-- DHCP client -->
        <auto name='calc_multi_condition' target='test_dhclient_is_active'>
            <param>dhcp</param>
            <param name="operator">OR</param>
            <param type='eole' name='condition_1' hidden='False'>eth0_method</param>
            <param type='eole' name='condition_2' hidden='False'>eth1_method</param>
            <param type='eole' name='condition_3' hidden='False'>eth2_method</param>
            <param type='eole' name='condition_4' hidden='False'>eth3_method</param>
            <param type='eole' name='condition_5' hidden='False'>eth4_method</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
        </auto>

        <condition name='disabled_if_not_in' source='test_dhclient_is_active'>
            <param>oui</param>
            <target type='filelist'>dhclient</target>
        </condition>


        <!-- Bonding -->
        <auto name='calc_multi_condition' target='bonding_is_active'>
            <param>oui</param>
            <param name="operator">OR</param>
            <param type='eole' name='condition_1' hidden='False'>activer_bonding_eth0</param>
            <param type='eole' name='condition_2' hidden='False'>activer_bonding_eth1</param>
            <param type='eole' name='condition_3' hidden='False'>activer_bonding_eth2</param>
            <param type='eole' name='condition_4' hidden='False'>activer_bonding_eth3</param>
            <param type='eole' name='condition_5' hidden='False'>activer_bonding_eth4</param>
            <param name='match'>oui</param>
            <param name='mismatch'>non</param>
        </auto>

        <condition name='disabled_if_in' source='bonding_is_active'>
            <param>non</param>
            <target type='filelist'>active_bonding</target>
        </condition>

    </constraints>


    <help />

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
